
#pragma once

#include "DataStructures.hpp"

class AbstractRankedReader {
public:
	virtual bool ReadNextCandidate(HeadRecord& x) = 0;
	AbstractRankedReader(const std::string& fileName) {
		m_fileName = fileName;
		m_startRead = false;	
	}

protected:
	bool m_startRead;
	std::ifstream m_fileH;
	std::string m_fileName;
};