#pragma once

#include "DataStructures.hpp"
#include "AbstractReader.hpp"

class SequenceReader : public AbstractReader<Batch<Sequence>> {
public:
	SequenceReader() : AbstractReader() {};
	SequenceReader(ThreadedQueue<Batch<Sequence>>* t) : AbstractReader(t) {}
	bool ReadNextBatch();
};