#pragma once

#include <string>
#include <vector>
#include <fstream>

#include "AbstractRankedReader.hpp"

typedef size_t C_ID;

class TGTReader : public AbstractRankedReader {
protected:
	std::ifstream m_ctxH;
	bool m_hasContextFile;

public:
	bool ReadNextCandidate(HeadRecord& x);
	TGTReader(const std::string& fileName) : AbstractRankedReader(fileName) {}
};