#pragma once
#include "DcgmII.hpp"

class DcgmIII : public DcgmII {
public:
	DcgmIII(bool proprietaryMemory) : DcgmII(proprietaryMemory) {
		m_modelName = "DCGM-III";
	}
	
	DcgmIII() : DcgmII() {
		m_modelName = "DCGM-III";
	}

	DcgmIII(int nHid, int nOut) : DcgmII(nHid, nOut) {
		m_modelName = "DCGM-III";
	}
	
	static DcgmIII* LoadFromFile(const std::string& dirPath);
	
	void BuildNetwork();

private:
	virtual Layer* ComputeContext();
};