#pragma once

#include <fstream>
#include <sstream>
#include <iostream>
#include <vector>
#include <unordered_map>

inline bool check_exists(std::string file) {
    std::ifstream f(file);
    if (f.good()) {
      f.close();
      return true;
    }
    
    f.close();
    return false;
}

inline std::vector<std::string> Tokenize(const std::string& line) {
	std::vector<std::string> tokens;
	std::istringstream iss(line);
	std::copy(std::istream_iterator<std::string>(iss),
		std::istream_iterator<std::string>(),
		std::back_inserter<std::vector<std::string> >(tokens));
	return tokens;
}