# Given a tgt file - append the cmmatches 
#
# @author Alessandro Sordoni

import sys
import tgt_reader
import ir_reader
import bleu4

if len(sys.argv) < 2:
	print "USAGE: TGT CTX-FILE"
	sys.exit(-1)

### Load Tgt Records
tgtReader = tgt_reader.TgtReader(sys.argv[1])

outputFile = sys.argv[1]
pos = sys.argv[1].find(".tgt")
if pos != -1:
	outputFile = outputFile[:pos]
outputFile = outputFile + ".ctx.tgt"

tgtWriter = tgt_reader.TgtWriter(outputFile)

records = tgtReader.GetRecords()
ctxFile = open(sys.argv[2], "r")

for index, ctx in enumerate(ctxFile):
	record = records[index]
	record.ctext = ctx.strip()

tgtWriter.WriteRecords(records)