#! /usr/bin/env python
# Insert tokens <s></s> on a tab separated file
#
# @author Alessandro Sordoni

import sys
import re
inputFileName = sys.argv[1]

if len(sys.argv) < 3:
	outputFileName = inputFileName + ".es"
else:
	outputFileName = sys.argv[2]

count = 0
of = open(outputFileName, "w")
for line in open(inputFileName, "r"):
	refs = line.split("\t")
	
	count += 1
	if count % 100000 == 0:
		print count
		
	to_write = []
	for ref in refs:
		ref = ref.strip()
		to_write.append(" <s> " + ref + " </s> ")
	
	print >> of, "\t".join(to_write)
of.close()