#! /usr/bin/env python

# Given a TGT file extracts 
# the best hypothesis using the first feature

import sys
import tgt_reader

inputFileName = sys.argv[1]
outputFileName = sys.argv[1] + ".best1.r"

r = tgt_reader.TgtReader(inputFileName)
of = open(outputFileName, "w")
records = r.GetRecords()

print "Read ", len(records)

done = 0
for d in records:
	print >> of, d.rlist[0].rtext
	done += 1

print "Done ", done
of.close()