import sys

def rand_test(scores1, scores2):
	import numpy as np;
	from sys import stdout;

	new_scores1 = [float(i) for i in scores1]
	new_scores2 = [float(i) for i in scores2]
	n = len(scores1);
	
	diff_scores = np.array(new_scores1) - np.array(new_scores2)
	real_mean_diff = np.sum(diff_scores)/n;
	
	points = {}
	n_random = 0
	count = 0

	for i in range(5000):
		avg = 0.
		stdout.write("\r%d" % i)
		stdout.flush()

		first_assign = np.random.randint(2, size=n)
		second_assign = np.logical_not(first_assign)

		rstring = str(first_assign)
		avg = np.dot(diff_scores, first_assign)
		avg -= np.dot(diff_scores, second_assign)
		
		if rstring not in points:
			random_mean_diff = float(avg)/float(n);
			points[rstring] = random_mean_diff

			if real_mean_diff >= 0 and random_mean_diff >= real_mean_diff:
				count += 1
			elif real_mean_diff < 0 and random_mean_diff <= real_mean_diff:
				count += 1
			
			n_random += 1
	print
	p_value = float((count+1)/(n_random+1));
	return p_value

scores1 = [i.strip() for i in open(sys.argv[1]).readlines()]
scores2 = [i.strip() for i in open(sys.argv[2]).readlines()]
pValue = rand_test(scores1, scores2)

print "P-value is = %.10f" % pValue