#pragma once
#include "DcgmII.hpp"

class DcgmIV : public DcgmII {
public:
	DcgmIV(bool proprietaryMemory) : DcgmII(proprietaryMemory) {
		m_modelName = "DCGM-IV";
	}
	
	DcgmIV() : DcgmII() {
		m_modelName = "DCGM-IV";
	}

	DcgmIV(int nHid, int nOut) : DcgmII(nHid, nOut) {
		m_modelName = "DCGM-IV";
	}
		
	static DcgmIV* LoadFromFile(const std::string& dirPath);
	void BuildNetwork();

private:
	virtual Layer* ComputeContext();
};