//
//  Visitor.cpp
//  Nnet
//
//  Created by Alessandro Sordoni on 2014-04-21.
//  Copyright (c) 2014 Alessandro Sordoni. All rights reserved.
//

#include <stdio.h>
#include "Graph.hpp"
#include "Visitor.hpp"
#include "NnetLib.hpp"

Visitor::Visitor() {
	m_visitEdges = true;
	m_visitNodes = true;
}

void Visitor::defaultVisit(Node* node) {}
void Visitor::defaultVisit(Link* link) {}

void Visitor::pre_visit() {}
void Visitor::post_visit() {}

void Visitor::Visit(DynamicWeight* w) { defaultVisit(w); }
void Visitor::Visit(FixedWeight* w)  { defaultVisit(w); }
void Visitor::Visit(DenseLayer* w)  { defaultVisit(w); }
void Visitor::Visit(HiddenLayer* w)  { defaultVisit(w); }
void Visitor::Visit(SparseInputLayer* w)  { defaultVisit(w); }
void Visitor::Visit(DenseInputLayer* w)  { defaultVisit(w); }
void Visitor::Visit(CrossEntropyLossLayer* w)  { defaultVisit(w); }
void Visitor::Visit(NCELossLayer* w)  { defaultVisit(w); }
