### Convert w2v embeddings into friendly format

import struct
import numpy
import sys

file = sys.argv[1]
dictionary = sys.argv[2]

f = open(file, "r")

numLines, size = f.readline().strip().split(" ")
embMatrix = numpy.zeros((int(numLines)-1, int(size)))

while True:
	word = ""
	while True:
		c = f.read(1)
		if c == " ":
			break
		else:
			word += str(c)
	nContent = f.read(4*int(size))
	
	word = word.strip()
	if word == "</s>":
		continue
	
	### read newline
	word = int(word)
	n = struct.unpack("f"*int(size), nContent)
	embMatrix[word] = n