### Produce the parrot baseline

import sys
import collections
import random
from permutation_test import PermutationTest
import numpy
import numpy as np
import copy

from tgt_reader import *
if len(sys.argv) < 2:
	print "Please specify a *development* tgt file"
	sys.exit(-1)

reader = TgtReader(sys.argv[1])
records = reader.GetRecords()
numRecords = len(records)

if numRecords == 0:
	print >> sys.stderr, "Are you sure that '%s' is a TGT file?" % sys.argv[1]
	sys.exit(-1)

parrots = []
for i in records:
	parrots.append(i.mtext)
	
print "Writing parrot baseline to %s " % str(sys.argv[1] + ".best.parrot.r")
w = open(str(sys.argv[1] + ".best.parrot.r"), "w")
w.write("\n".join(parrots))
w.close()