
## Given a scoring rich prod format
## and a dev.multiref format
## produces a file with C \t M \t R \t score

import sys

multiRefFile = open(sys.argv[1], "r")
outputFile = open(sys.argv[1] + ".pruned", "w")
	
written = True
start = True
stored = []
readId = ""
lineNumber = 0
for line in multiRefFile:
	line = line.strip()
	values = line.split("\t")
	
	### Init the id
	if start == True:
		readId = values[0]
		start = False
	
	if values[0] != readId:
		if written:
			print >> outputFile, "\n".join(stored)
		else:
			print "".join(stored)
		
		written = False
		stored = []
			
	if values[7] != "original":
		written = True
	
	### Don't include singletons
	stored.append(line)
	readId = values[0]
	lineNumber += 1
	
if written:
	print >> outputFile, "\n".join(stored)
	stored = []
else:
	print "".join(stored)
	
multiRefFile.close()
outputFile.close()