# Produce the random baseline
# Pick one random sentence from the generated n-best list 
# of whatever test sentence.

import sys
import collections
import random
from permutation_test import PermutationTest
import numpy
import numpy as np
import copy

from tgt_reader import *
if len(sys.argv) < 2:
	print "Please specify a *development* tgt file"
	sys.exit(-1)

reader = TgtReader(sys.argv[1])
records = reader.GetRecords()
numRecords = len(records)

numpy.random.seed(1)

random = []
for i in records:
	j = np.random.randint(numRecords)
	# k = np.random.randint(len(records[j].rlist))
	random.append(records[j].rtext[0])

print "Writing random baseline to %s " % str(sys.argv[1] + ".best.random.r")
w = open(str(sys.argv[1] + ".best.random.r"), "w")
w.write("\n".join(random))
w.close()