###

import sys
import ir_reader

irR = ir_reader.IRReader(sys.argv[1])
lines = open(sys.argv[2],"r").readlines()

setId = {}
for k in lines:
	setId[k.strip()] = 1

records = irR.GetRecords()

out = open(sys.argv[1]+".idstrip","w")
for d in records:
	toPrint = []
	toPrint.append(d.cid + ":" + d.ctext)
	toPrint.append(d.mid + ":" + d.mtext)
	
	for r in d.rlist:
		if r.rid in setId:
			print "Stripping ", r.rid
			continue
		toPrint.append(str(r.score) + ":" + r.rid + ":" + r.rtext)
	print >> out, "\t".join(toPrint)
out.close()